using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Entities.DTO.Class
{
	public record ClassCreateDto
	{
		public CreateGradeDto Grade { get; init; }

		[Required(ErrorMessage = "年级名称是必填项。")]
		[StringLength(20, ErrorMessage = "年级名称不能超过 20 个字符。")]
		public string ClassName { get; init; }

		[Required(ErrorMessage = "年级级别是必填项。")]
		public byte Index { get; init; }
	}
}
